
Redmine - Defect #40239

Add missing fixtures in Redmine::ApiTest::IssuesTest

2024-02-15 10:15 - Vincent Robert

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.2   

Resolution: Fixed Affected version:  

Description

The test "POST /issues.xml with watcher_user_ids should create issue with watchers" in Redmine::ApiTest::IssuesTest

is failing if we run only this one.

We should add the fixture "user_preferences" in the issues_test.rb file.

It is due to the new "add_auto_watcher" features, which automatically set the author as a watcher by default. The author is added to

all new issues if we don't load the preferences.

Associated revisions

Revision 22734 - 2024-02-26 00:22 - Marius BĂLTEANU

Adds :user_preference fixture to Redmine::ApiTest::IssuesTest (#40239).

Patch by Vincent Robert (@Nanego).

Revision 22735 - 2024-02-26 07:14 - Marius BĂLTEANU

Merge r22734 from trunk to 5.1-stable (#40239).

History

#1 - 2024-02-26 07:15 - Marius BĂLTEANU

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Committed, thanks!

#2 - 2024-03-19 15:39 - Vincent Robert

Hi.

It seems the revision has been backported to test/system/issues_test.rb instead of test/integration/api_test/issues_test.rb

I managed to reproduce the failing test with Redmine 5.1.2

#3 - 2024-03-21 22:10 - Marius BĂLTEANU

Vincent Robert wrote in #note-2:

Hi.

It seems the revision has been backported to test/system/issues_test.rb instead of test/integration/api_test/issues_test.rb

I managed to reproduce the failing test with Redmine 5.1.2

 You're right, sorry for this. I've merged now r22773 to 5.1-stable.
